## Présentation

Ce logiciel est une aide à la répartition des élèves dans des groupes en 
fonction de leurs vœux de spécialités dans le cadre de la réforme du bac 
entrant en vigueur à la rentrée 2019.

Il a été conçu par le [lycée la Colinière de Nantes](https://coliniere.paysdelaloire.e-lyco.fr) 
et est distribué sous licence libre [CeCILL-C](http://www.cecill.info/licences/Licence_CeCILL-C_V1-fr.html), 
sans copyleft ("gauche d'auteur"), permettant ainsi la réutilisation du 
code y compris dans un logiciel propriétaire.

Ce logiciel s'utilise à travers un navigateur, sans compromettre la 
confidentialité des données qui ne circulent *pas* sur le réseau.

Chaque établissement définit ses propres règles quant-à la taille ou le 
nombre de groupes par spécialité.

L'algorithme :

- cherche une solution pour satisfaire les vœux des élèves sans leur imposer 
de contrainte quand à la combinaison de spécialitée souhaitée ;
- essaie d'équilibrer au mieux la taille des groupes d'une même spécialité ;
- ne regroupe *pas* (au contraire) les élèves ayant choisi une même combinaison 
de spécialités (afin de ne pas recréer des classes "filières"). 
